Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_ADA.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_ADA.cfg	(revision 5286)
+++ 	(revision )
@@ -1,17 +1,0 @@
-# 
-COMPILER=ifort
-MPI_NAME=intel
-
-# Job commands: LoadLeveler
-JOB_SUBM=llsubmit
-JOB_LIST=llq
-JOB_VIEW='llq -xl'
-JOB_DELE=llcancel                          
-
-# Directories ($HOME/$WORKDIR/$COMMONDIR/$TMPDIR/ergon)
-DIR_WORK=$WORKDIR
-DIR_SCRA=$TMPDIR/trusting
-DIR_STOR=trusting_sav
-
-# Loading environment architecture
-. ${DIR_XIOS}/arch/arch-${ARCH}.env
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/X64_CURIE.cfg	(revision 5286)
+++ 	(revision )
@@ -1,20 +1,0 @@
-# Curie super-computer configuration
-
-# Available softwares:
-CDO=cdo 
-COMPILER=ifort
-MPI=bullxmpi
-NETCDF=netcdf
-
-# Job commands: ccc_*
-JOB_SUBM=ccc_msub
-JOB_LIST=ccc_mpp
-JOB_VIEW=ccc_macct
-JOB_DELE=ccc_mdel                          
-
-#
-[ -z "$NPROC"     ] && NPROC=1
-[ -z "$TIME_LIMI" ] && TIME_LIMI=10800 # 3h
-
-# Architecture environment (be careful with compliance with XIOS)
-ARCH_ENV=${DIR_XIOS}/arch/arch-${ARCH}.env
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/arch_template.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/arch_template.cfg	(revision 5286)
+++ 	(revision )
@@ -1,22 +1,0 @@
-# Copy to ./$ARCH.cfg, fill in according to your installation
-
-# Super-computer configuration
-
-# Available softwares:
-CDO=''           			# CDO (Climate Data Operators)     (to get application version with `$CDO      --version`)
-COMPILER=''      			# ifort/gfortran/pgfortran/$FC/... ("" " " compiler      " "    ""  `$COMPILER --version`)
-MPI=''           			# MPI    libraries                 (root directory name in $LOADEDMODULES or $PATH variable)
-NETCDF=''        			# NetCDF    " "                    ( ""     " "     ""  ""       ""       ""  " "     ""   )
-
-# Job commands:
-JOB_SUBM=''   	 			# Command to submit a job && get his ID in return
-JOB_LIST=''    	 			#   " "   to list submitted jobs  (to know if the job is in progress with his ID)
-JOB_VIEW=''   	 			#   " "   to get job informations (to increment a log during computing from job ID)
-JOB_DELE=''   	 			#   " "   to stop a job           (not used currently)
-
-# 
-[ -z "$NPROC"     ] && NPROC=1          # Number of processing units for compilation
-[ -z "$TIME_LIMI" ] && TIME_LIMI=''     # Timeout in s for computation (pending & running)
-
-# Architecture environment (be careful with compliance with XIOS)
-ARCH_ENV=''                             # ${DIR_WORK}/XIOS/arch/arch-${ARCH}.env
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/template.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/template.cfg	(revision 5286)
+++ 	(revision )
@@ -1,21 +1,0 @@
-#
-COMPILER=          # ifort/gfortran/pgfortran/$FC/... (to get compiler version with `$COMPILER --version`)
-MPI_NAME=          # MPI libraries                    (directory name in $LOADEDMODULES or $PATH variable)
-
-# Job commands:
-JOB_SUBM=          # Command to submit a job
-JOB_LIST=          #   " "   to list submitted jobs  (to know if the job still running)
-JOB_VIEW=          #   " "   to get job informations (to increment a log during computing)
-JOB_DELE=          #   " "   to stop a job           (not used currently)
-
-# Directories
-DIR_WORK=          # Directory of testing   configuration for compilation
-DIR_SCRA=          #    " "    ""   " "          " "      " " computation to increase perfs on some super-computers
-                   #            (will copy into it all requested input files forcing & ".*(cfg|opa|ref|xml)" files)
-DIR_STOR=          #    " "    "" reference      " "      (output & restart files to compare)
-
-# External softs directories
-#DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0      # Uncomment if necessary
-#DIR_OASI=${DIR_WORK}/OASIS              # Uncomment if necessary
-# Loading environment architecture (compliance with XIOS)
-#. ${DIR_XIOS}/arch/arch-${ARCH}.env     # Uncomment if necessary
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user.cfg	(revision 5286)
+++ 	(revision )
@@ -1,27 +1,0 @@
-# User configuration
-
-# Global Directories ($HOME/$WORKDIR/$SCRATCHDIR/$STOREDIR)
-DIR_WORK=$CCCWORKDIR
-DIR_SCRA=$SCRATCHDIR/trusting	       	    
-DIR_STOR=$CCCSTOREDIR/trusting_sav     	    
-
-# NEMO overall configuration:
-[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=trunk
-[ -z "${CONF_REFE}" ] && CONF_REFE=ORCA2_LIM_PISCES
-[ -z "${CONF_TEST}" ] && CONF_TEST=${CONF_REFE}_trust
-NEMO_HOME=${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM
-
-# Comparatives directories localization:
-DIR_REFE=${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
-DIR_TEST=${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
-
-# External softs directories:
-DIR_XIOS=${DIR_WORK}/XIOS/xios-1.0
-DIR_OASI=${DIR_WORK}/OASIS
-
-# NEMO inputs
-NEMO_FORC=${DIR_WORK}/NEMO/FORC
-FORC_TARF=ORCA2_LIM_nemo_v3.6.tar
-
-# Mailing list to inform of a failure, -p|--publish option required
-[ -z "$MAIL"] && MAIL=ntmlod@locean-ipsl.upmc.fr
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user_template.cfg
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/cfg/user_template.cfg	(revision 5286)
+++ 	(revision )
@@ -1,32 +1,0 @@
-# Copy to ./user.cfg, fill in according to your installation
-
-# User configuration
-
-# Global Directories:
-DIR_WORK=''   	 			  # Directory for compilation
-DIR_SCRA=''    	 			  #    " "    " " computation to increase perfs on some super-computers
-              	 			  # (will copy into it all requested forcing input & ".*(cfg|opa|ref|xml)" files)
-DIR_STOR=''    	 			  #    " "     for comparison (ASCII output & restart files of reference config)
-
-# NEMO overall configuration:
-[ -z "${NEMO_BRAN}" ] && NEMO_BRAN=''     # trunk, dev_v3_4_STABLE_2012, ...
-[ -z "${CONF_REFE}" ] && CONF_REFE=''     # ORCA2_LIM_PISCES, GYRE, ...
-[ -z "${CONF_TEST}" ] && CONF_TEST=''     # ${CONF_REFE}_trust, ...
-NEMO_HOME=''                              # NEMOGCM equivalent root directory
-                                          # (${DIR_WORK}/NEMO/${NEMO_BRAN}/NEMOGCM, ...)
-
-# Comparatives directories localization:
-DIR_REFE=''			      	  # ${DIR_STOR}/${CONF_REFE}/${NEMO_BRAN}
-DIR_TEST=''			      	  # ${DIR_SCRA}/${CONF_REFE}/${NEMO_BRAN}/trusting_${DATE_STR}
-
-# External softs directories:
-DIR_XIOS=''			      	  # ${DIR_WORK}/XIOS/xios-1.0
-DIR_OASI=''			      	  # ${DIR_WORK}/OASIS        
-
-# NEMO inputs (fill in if necessary)
-NEMO_FORC=''                              # Directory synchronized with DODS server of IDRIS
-                                          # (${DIR_WORK}/NEMO/FORC, ...)
-FORC_TARF=''                              # Archive name (ORCA2_LIM_nemo_v3.6.tar, ...)
-
-# Mailing list to inform of a failure, -p|--publish option required
-[ -z "$MAIL"] && MAIL=''
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.env	(revision 5286)
+++ 	(revision )
@@ -1,30 +1,0 @@
-#!/bin/bash
-
-
-# Time-stamp
-date_test=$( date )
-export DATE_STR=$( LC_ALL=C date -d"${date_test}" +%Y%m%dT%H%M )
-
-# Sourcing user configuration
-. cfg/user.cfg
-export DIR_WORK  DIR_SCRA  DIR_STOR
-export NEMO_HOME NEMO_BRAN CONF_REFE CONF_TEST
-export DIR_REFE  DIR_TEST
-export DIR_XIOS  DIR_OASI
-export NEMO_FORC FORC_TARF
-
-NEMO_ARCH=${NEMO_HOME}/ARCH         ; NEMO_CONF=${NEMO_HOME}/CONFIG         ; NEMO_ENGI=${NEMO_HOME}/NEMO
-NEMO_EFCM=${NEMO_HOME}/EXTERNAL/fcm ; NEMO_IPSL=${NEMO_HOME}/EXTERNAL/IOIPSL; NEMO_SETT=${NEMO_HOME}/SETTE
-NEMO_TCMP=${NEMO_HOME}/TOOLS/COMPILE
-export NEMO_ARCH NEMO_CONF NEMO_EFCM
-export NEMO_ENGI NEMO_IPSL NEMO_SETT
-export NEMO_TCMP
-
-# Sourcing super-computer configuration
-. cfg/$ARCH.cfg
-export CDO      COMPILER  MPI      NETCDF
-export JOB_SUBM JOB_LIST  JOB_VIEW JOB_DELE
-export NPROC    TIME_LIMI
-export ARCH_ENV
-
-[ ! find ${NEMO_ARCH} -name arch-$ARCH.fcm ] && exit
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting.sh	(revision 5286)
+++ 	(revision )
@@ -1,160 +1,0 @@
-#!/bin/bash
-#
-# Author: Patrick Brockmann
-# Contact: Patrick.Brockmann@cea.fr
-# History:
-# Modification: Nicolas-thierry.Martin@locean-ipsl.upmc.fr
-#
-
-
-# Set defaults
-DEBUG=0; PUBLISH=0; status='OK'
-
-# Get options && replace some initials settings
-while [ $# -ne 0 ]; do
-    case $1 in
-        -b|--branch ) NEMO_BRAN=$2         ; shift 2;; -d|--debug  ) set -vx; DEBUG=1     ; shift  ;;
-	-e|--email  ) MAIL=$2              ; shift 2;; -j|--job    ) NPROC=$2             ; shift 2;;
-	-h|--help   ) cat trusting_help.txt; exit   ;; -m|--machine) ARCH=$2              ; shift 2;;
-	-n|--newconf) CONF_TEST=$2         ; shift 2;; -r|--refconf) CONF_REFE=$2         ; shift 2;;
-	-t|--time   ) TIME_LIMI=$2         ; shift 2;; -p|--publish) PUBLISH=1            ; shift  ;;
-                   *) cat trusting_help.txt; exit   ;;
-    esac
-done
-
-# Set super-computer & user environment
-[[ ! -z "$ARCH" && . trusting.env ]] || { ./trusting.sh -h && exit; }
-export DEBUG PUBLISH
-
-# Initialization
-#=============================================
-
-echo ${DIR_TEST}
-mkdir -p ${DIR_TEST} ${DIR_REFE}
-cd ${DIR_TEST}
-datestr1=$( LC_ALL=C date -d"$DATE_STR" +%Y-%m-%dT%H:%M )
-printf "Date\n%s\n"       $datestr1 > mesg_01_date.txt
-
-printf "Status\nFAILED\n"           > mesg_02_status.txt # Only at end status will change to OK
-
-. trusting_func.sh
-#=============================================
-
-
-# 
-#=============================================
-for rel in $CDO $COMPILER $MPI $NETCDF; do
-    printf "Step......................\nGet $rel release\n" > mesg_03_step.txt
-                             arch_rel=$( echo $LOADEDMODULES | sed "s#.*:$rel/\([^:]*\).*#\1#" )
-    [ -z "${arch_rel}"  ] && arch_rel=$( echo $PATH          | sed "s#.*$rel/\([^/]*\).*#\1#"  )
-    [ $( echo $rel | grep "$CDO\|$COMPILER" ) ] && arch_rel=$( $rel --version | grep -m1 -o ' [0-9.]* ' )
-    echo $rel ${arch_rel} >> model.log
-done
-
-sed -n 1p model.log | sed 'i\Fortran compiler' > mesg_04_curiec.txt
-sed -n 2p model.log | sed 'i\MPI libraries   ' > mesg_05_mpicurie.txt
-sed -n 3p model.log | sed 'i\NetCDF libraries' > mesg_06_netcdf_curie.txt
-
-
-#---------------------------------------------
-printf "Step......................\nCheckout XIOS, FCM-make(/EXTERNAL/fcm), NEMO engines (/NEMO) & configuration (/CONFIG)\n" > mesg_03_step.txt
-rev=0
-for dir in ${DIR_XIOS} ${NEMO_ARCH} ${NEMO_CONF} ${NEMO_EFCM} ${NEMO_ENGI} ${NEMO_IPSL} ${NEMO_SETT} ${NEMO_TCMP}; do
-    svn up $dir
-    rev_loc=$( svn info $dir | awk '(NR == 9) {print $NF}' )
-    [ $dir == ${DIR_XIOS} ] && echo 'XIOS '${rev_loc} >> model.log && continue
-    (( ${rev_loc} >= $rev )) && rev=${rev_loc}
-done
-echo 'NEMO '$rev >> model.log
-
-
-#---------------------------------------------
-printf "Step......................\nCompilation NEMO configuration %s\n" ${CONF_REF} > mesg_03_step.txt
-cd ${NEMO_CONF}
-. ${ARCH_ENV}     # Sourcing architecture environment
-#[ -d ${CONF_TEST} ] && ./makenemo -n ${CONF_TEST} clean
-./makenemo -n ${CONF_TEST} -r ${CONF_REFE} -m $ARCH -j $NPROC #> /dev/null 2>&1
-[ ! -e ${CONF_TEST}/BLD/bin/nemo.exe ] && getout
-
-
-#---------------------------------------------
-printf "Step......................\nPreparing job\n" > mesg_03_step.txt
-cd ${DIR_TEST}
-find ${NEMO_CONF}/${CONF_TEST}/EXP00 -regex '.*\(cfg\|opa\|ref\|xml\)' -exec cp {} . \;
-
-if [ ! -z "${NEMO_FORC}" ]; then
-    cp ${NEMO_FORC}/${FORC_TAR} .
-    tar -tvf ${FORC_TAR} > inputs_list.txt && tar -vxf ${FORC_TAR}
-    [ $? -ne 0 ] && getout
-    gunzip *.gz
-else
-    touch inputs_list.txt
-fi
-
-
-#---------------------------------------------
-printf "Step......................\nRunning\n"       > mesg_03_step.txt
-#${JOB_SUB} ${DIR_TEST}/../../batch.sh
-job_num=$( ${JOB_SUB} ${DIR_TEST}/../../batch.sh | awk '{print $NF}')
-[ $? -ne 0 ] && getout
-
-time_elapsed=0; time_increment=300
-sleep ${time_increment}
-while [[ $( ${JOB_LIST} | grep $job_num ) && ${time_elapsed} -lt ${TIME_LIMI} ]] ; do
-    printf "\n####################################################" >> computation.log
-    ${JOB_VIEW} $job_num                                            >> computation.log
-    sleep ${time_increment}
-    let time_elapsed+=${time_increment}
-done
-
-
-#---------------------------------------------
-printf "Step......................\nTest if ASCII output files exist\n"   > mesg_03_step.txt
-if      [ ! -f ${output_test} ]; then
-
-    getout
-else if [  ]
-
-    grep 'E R R O R' ocean.output    >> mesg_11_comments.txt
-    sed 's/^/Time step :/' time.step >> mesg_11_comments.txt
-fi
-
-
-#---------------------------------------------
-printf "Step......................\nTest ASCII output files difference\n" > mesg_03_step.txt
-for file in ocean.output solver.stat tracer.stat; do
-    diff $file ${DIR_REFE}/$file
-    [ $? -ne 0 ] && status='FAILED'
-done
-
-
-#---------------------------------------------
-printf "Step......................\nTest last restart files difference\n" > mesg_03_step.txt
-diff_trusting 2>/dev/null
-[ $? -ne 0 ] && status='FAILED'
-
-
-#---------------------------------------------
-echo 'Comments'                    >  mesg_11_comments.txt
-grep 'W A R N I N G:' ocean.output >> mesg_11_comments.txt
-
-
-#---------------------------------------------
-if [ $status != 'FAILED' ]; then
-    printf "Step......................\nGet Real CPU time\n" > mesg_03_step.txt
-    real_cpu_time=$( ${JOB_VIEW} $job_num | awk 'END{print $9}')
-    printf "Real CPU time\n%s\n" ${real_cpu_time} > mesg_08_realcputime.txt
-else
-    printf "Step......................\nTest InputFiles difference\n" > mesg_03_step.txt
-    diff inputs_list.txt ${DIR_REFE}/inputs_list.txt
-    [ $? -ne 0 ] && getout
-    [[ $? -ne 0 && printf "InputFiles\n%s\n" "Different" > mesg_09_inputfiles.txt ]] || printf "InputFiles\n%s\n" "Same" > mesg_09_inputfiles.txt
-fi
-
-
-#---------------------------------------------
-printf "Status\nOK\n" > mesg_02_status.txt
-printf "Step......................\nCode is reliable\n" > mesg_03_step.txt
-
-#---------------------------------------------
-getout
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_func.sh	(revision 5286)
+++ 	(revision )
@@ -1,106 +1,0 @@
-#!/bin/bash
-
-function mesg_make { 
-    paste -d ';' mesg_*.txt > trusting_${DATE_STR}.txt
-    cat trusting_${DATE_STR}.txt
-}
-
-#=============================================
-function mesg_publish { 
-  
-if [ $PUBLISH -eq 1 ]; then
-
-  if [ -f ${DIR_TEST}/trusting.txt ] ; then
-      tail -1 trusting_${DATE_STR}.txt >> ${DIR_TEST}/trusting.txt
-  else
-      cp      trusting_${DATE_STR}.txt    ${DIR_TEST}/trusting.txt
-  fi
-
-  cp trusting_${DATE_STR}.txt ${DIR_TEST}
-#  chmod o+r ${DIR_TEST}/trusting_${DATE_STR}.txt
-  
-#  rm -rf              ${DIR_WORK}/../../dods/public/${LOGNAME}/trusting/${CONF_REF}
-#  cp -alf ${DIR_TEST} ${DIR_WORK}/../../dods/public/${LOGNAME}/trusting/${CONF_REF}
-#  chmod o+rX          ${DIR_WORK}/../../dods/public/${LOGNAME}/trusting/${CONF_REF}
-  
-  # Send mail only when FAILED
-  if [[ grep 'FAILED' mesg_02_status.txt && ! -z $MAIL ]]; then
-      cat << END_MAIL > ${DIR_TEST}/trusting.mail
-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
-Dear $USER,
-
-The trusting sequence for ${CONF_REF} has failed.
-Please consult http://webservices.ipsl.fr/trusting/
-
-Failed at step: `tail -n 1 mesg_03_step.txt`
-Directory : ${DIR_TEST}
-
-XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
-
-END_MAIL
-      mail -s "[trusting ${CONF_REF}] FAILED" $MAIL < ${DIR_TEST}/trusting.mail
-  fi
-
-fi
-
-}
-
-#=============================================
-function getout { 
-	cd ${DIR_TEST}
-        mesg_make; mesg_publish
-
-        # Add tar saved into {DIR_STOR}
-	find ${DIR_SCRA}/trusting/${CONF_REF}/* -prune -mtime +7 -exec /bin/rm -rf {} \; > /dev/null 2>&1
-        [ -f ${DIR_STOR}/${CONF_REF}.tar ] && \rm ${DIR_STOR}/${CONF_REF}.tar
-        tar -cf ${DIR_STOR}/${CONF_REF}.tar .
-
-        exit
-}
-
-#=============================================
-function diffnc {
-    stat=100; file1=$1; file2=$2
-
-    cdo diffv $file1 $file2 > out_tmp
-    ( [ $? -ne 0 ] && stat=100 ) || stat=$( grep -m 1 "records differ" out_tmp | awk '-Fof' '{print $1}' )
-    [ -f out_tmp ] && rm out_tmp
-
-    return $stat
-} 
-
-#---------------------------------------------
-function diff_trusting {
-
-    name_first=${JOB_NAME}
-    name_second=EXP00C
-    rep_ref=EXP00C_REFE
-    experiment_name=trusting
-    tagname=TEST
-    #listcomp="ATM SBG SRF CPL ICE MBG OCE"
-    listcomp="ATM SRF CPL ICE MBG OCE"
-    result_final=0
-
-# Output  
-    cd ${DIR_SCRA}/IGCM_OUT/${CONFIG_WORK}/${tagname}/${experiment_name}/${name_first}
-    for comp in ${listcomp}; do
-	echo ${comp}
-	cd ${DIR_SCRA}/IGCM_OUT/${CONFIG_WORK}/${tagname}/${experiment_name}/${name_first}/${comp}/Output
-	listfreq=$(ls -d MO/ DA/)
-	for freq in ${listfreq}; do
-            echo ${freq}
-            cd ${DIR_SCRA}/IGCM_OUT/${CONFIG_WORK}/${tagname}/${experiment_name}/${name_first}/${comp}/Output/${freq}
-            listfile=$( ls *.nc )
-            for file in ${listfile}; do
-		var=$( echo $file | sed -e "s/^${name_first}//" )
-		result=$( diffnc ${name_first}${var} ${DIR_SCRA}/IGCM_OUT/${CONFIG_WORK}/${tagname}/${CONFIG_WORK}/${rep_ref}/${comp}/Output/${freq}${name_second}${var} )
-		result=$?
-		echo 'diffnc '${name_first}${var} ${DIR_SCRA}/IGCM_OUT/${CONFIG_WORK}/TEST/${CONFIG_WORK}/${rep_ref}/${comp}/Output/${freq}${name_second}${var}
-		echo $result
-		(( result_final = result_final + result ))
-            done
-	done
-    done
-    return $result_final
-
-}
Index: branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt
===================================================================
--- branches/2015/dev_r5092_CNRS_SETTE/NEMOGCM/SETTE/trusting_help.txt	(revision 5286)
+++ 	(revision )
@@ -1,23 +1,0 @@
-----------------------------------------------------------------------------
-Usage: trusting [-h] [-d] [-p] configuration
-
-# ($ARCH & ./cfg/$ARCH.cfg file and at least arch-$ARCH.fcm file in NEMO ARCH dir are mandatory)
-
-Options:
-   -h, --help, -help
-       Print this manual
-   -d, --debug
-       set -v
-   -p, --publish
-       Publish on dods server
-
-Examples:"
-   $ trusting -p IPSLCM5A
-
-Notes:
-   - To reset the trusting dashboard, type manually :
-     $ rm -rf $CCCWORKDIR/trusting/configuration
-     $ rm -rf $CCCWORKDIR/../../dods/public/${LOGNAME}/trusting/configuration
-   - Output will be saved at :
-     $ ls $CCCSTOREDIR/IGCM_OUT
-